from .converter import convert, PYON, OBJ

class PYONDecoder:
    def __init__(self, obj, encoding):
        self.obj = obj
        self.encoding = encoding

    def decode(self):
        obj = self.obj
        print(obj)

        return convert(PYON, OBJ, obj)